summaryrefslogtreecommitdiff
path: root/qa/359
diff options
context:
space:
mode:
Diffstat (limited to 'qa/359')
-rwxr-xr-xqa/35956
1 files changed, 56 insertions, 0 deletions
diff --git a/qa/359 b/qa/359
new file mode 100755
index 0000000..50e7078
--- /dev/null
+++ b/qa/359
@@ -0,0 +1,56 @@
+#!/bin/sh
+# PCP QA Test No. 359
+# Simple sanity check that we can get through validation of all
+# of the metrics without any surprises
+#
+# Copyright (c) 2010 Ken McDonell. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard environment, filters and checks
+. ./common.product
+. ./common.filter
+. ./common.check
+
+status=0 # success is the default!
+$sudo rm -rf $tmp.* $seq.full
+trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
+
+_filter()
+{
+ sed \
+ -e '/No value(s) available/d' \
+ -e '/Metric not supported by this version of monitored application/d' \
+ -e '/cgroup.groups: pmLookupName: Unknown metric name/d' \
+ -e '/^sample.needprofile:/d' \
+ -e '/^sample.bad.unknown:/d' \
+ -e '/^sample.bad.nosupport:/d' \
+ -e '/^sampledso.needprofile:/d' \
+ -e '/^sampledso.bad.unknown:/d' \
+ -e '/^sampledso.bad.nosupport:/d' \
+ -e '/^proc.schedstat.*: Unknown or .*/d' \
+ -e '/^proc.schedstat.*: No permission/d' \
+ -e '/^proc.psinfo.*: No permission/d' \
+ -e '/^proc.psinfo.cgroups: Unknown or illegal instance identifier/d' \
+ -e '/^proc.psinfo.labels: Unknown or illegal instance identifier/d' \
+ -e '/^proc.memory.*: No permission/d' \
+ -e '/^proc.id.*: No permission/d' \
+ -e '/^proc.fd.*: No permission/d' \
+ -e '/^proc.io.*: /d' \
+ -e '/^papi.*: No permission/d' \
+ -e '/^logger.perfile.reg.records: No permission/d' \
+ -e '/^logger.perfile.fifo.records: Try again./d' \
+ -e '/^logger.perfile.reg.records: Try again./d'
+}
+
+# real QA test starts here
+
+echo "First attempt ... expect nothing"
+pminfo -v | _filter
+echo "Second attempt ... expect nothing"
+pminfo -v | _filter
+
+# success, all done
+exit